package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFAV5Response {

    @Parameter(name = "APP_DATE")
    java.util.Date appDate();

    @Parameter(name = "AktivacniHeslo")
    String aktivacniHeslo();

    @Parameter(name = "AutorizacniLimit_Bezhotovostni")
    Double autorizacniLimitBezhotovostni();

    @Parameter(name = "AutorizacniLimit_Hotovost")
    Double autorizacniLimitHotovost();

    @Parameter(name = "AutorizacniLimit_Internet")
    Double autorizacniLimitInternet();

    @Parameter(name = "AutorizacniLimit_Procento")
    Double autorizacniLimitProcento();

    @Parameter(name = "AutorizacniLimit_Typ")
    String autorizacniLimitTyp();

    @Parameter(name = "AvonLadyID")
    String avonLadyID();

    @Parameter(name = "AvonLadyIDDop")
    String avonLadyIDDop();

    @Parameter(name = "BUCisloUctu")
    String bUCisloUctu();

    @Parameter(name = "BUKodBanky")
    String bUKodBanky();

    @Parameter(name = "BUMena")
    String bUMena();

    @Parameter(name = "BUPeriodaVypisu")
    String bUPeriodaVypisu();

    @Parameter(name = "BUProduktKod")
    String bUProduktKod();

    @Parameter(name = "BUSpecifickySymbol")
    String bUSpecifickySymbol();

    @Parameter(name = "BUVariabilniSymbol")
    String bUVariabilniSymbol();

    @Parameter(name = "BUZalozitNovyUcet")
    String bUZalozitNovyUcet();

    @Parameter(name = "BU_KEY")
    Long buKey();

    @Parameter(name = "Benefit")
    String benefit();

    @Parameter(name = "BezPritomnostiKlienta")
    String bezPritomnostiKlienta();

    @Parameter(name = "BrandKarty")
    String brandKarty();

    @Parameter(name = "CastkaPrvnihoCerpani")
    Long castkaPrvnihoCerpani();

    @Parameter(name = "CelkovaSplatnaCastka")
    Double celkovaSplatnaCastka();

    @Parameter(name = "Channel_ID")
    String channelID();

    @Parameter(name = "CisloDocasneKarty")
    String cisloDocasneKarty();

    @Parameter(name = "CisloDocasneKartyMask")
    String cisloDocasneKartyMask();

    @Parameter(name = "CisloPojisteniING")
    String cisloPojisteniING();

    @Parameter(name = "CisloSmlouvy")
    String cisloSmlouvy();

    @Parameter(name = "CisloSmlouvyVarianty")
    String cisloSmlouvyVarianty();

    @Parameter(name = "CobrandKarty")
    String cobrandKarty();

    @Parameter(name = "DatumPodpisuSmlouvy")
    java.util.Date datumPodpisuSmlouvy();

    @Parameter(name = "DatumPodpisuZadosti")
    java.util.Date datumPodpisuZadosti();

    @Parameter(name = "DatumPodpisuZadosti_Kuryr")
    java.util.Date datumPodpisuZadostiKuryr();

    @Parameter(name = "DatumPrepoctuUroku")
    java.util.Date datumPrepoctuUroku();

    @Parameter(name = "DatumPrvniSplatky")
    java.util.Date datumPrvniSplatky();

    @Parameter(name = "DenInkasniSplatky")
    String denInkasniSplatky();

    @Parameter(name = "DenZuctovacihoObdobi")
    Long denZuctovacihoObdobi();

    @Parameter(name = "DesignKarty")
    String designKarty();

    @Parameter(name = "DruhBusinessu")
    String druhBusinessu();

    @Parameter(name = "DuvodPreschvaleni")
    String duvodPreschvaleni();

    @Parameter(name = "DuvodRozhodnuti")
    String duvodRozhodnuti();

    @Parameter(name = "DuvodRozhodnutiKod")
    String duvodRozhodnutiKod();

    @Parameter(name = "EmbossTyp")
    String embossTyp();

    @Parameter(name = "EnvelopeNumber")
    String envelopeNumber();

    @Parameter(name = "ExpresmanFlag")
    String expresmanFlag();

    @Parameter(name = "FormLockStatus")
    String formLockStatus();

    @Parameter(name = "IB_ACCES_TYPE")
    String ibAccesType();

    @Parameter(name = "IB_SIGN_TYPE")
    String ibSignType();

    @Parameter(name = "IDXselloveKampane")
    String iDXselloveKampane();

    @Parameter(name = "IP_ADDRESS")
    String ipAddress();

    @Parameter(name = "IdVLSBalicku")
    String idVLSBalicku();

    @Parameter(name = "IndexLinearnihoSplaceni")
    String indexLinearnihoSplaceni();

    @Parameter(name = "InfolimitTyp")
    String infolimitTyp();

    @Parameter(name = "Infolimit_ZavaznyPlatnost")
    java.util.Date infolimitZavaznyPlatnost();

    @Parameter(name = "Infolimit_ZavaznyVyse")
    Double infolimitZavaznyVyse();

    @Parameter(name = "KUL_KEY")
    Long kulKey();

    @Parameter(name = "KartaAsociace")
    String kartaAsociace();

    @Parameter(name = "KodProduktu")
    String kodProduktu();

    @Parameter(name = "KodProduktuSales")
    String kodProduktuSales();

    @Parameter(name = "Kombinace_KEY")
    Long kombinaceKEY();

    @Parameter(name = "Mena")
    String mena();

    @Parameter(name = "MesicniSplatka")
    Double mesicniSplatka();

    @Parameter(name = "MigraceBU_Flag")
    String migraceBUFlag();

    @Parameter(name = "MinProcentoSplatky")
    Double minProcentoSplatky();

    @Parameter(name = "MoznostPreschvalitFlag")
    String moznostPreschvalitFlag();

    @Parameter(name = "MoznostPreschvalitRole")
    String moznostPreschvalitRole();

    @Parameter(name = "ObchodniMistoKod")
    String obchodniMistoKod();

    @Parameter(name = "OdkladSplatek")
    String odkladSplatek();

    @Parameter(name = "PocetSplatek")
    Long pocetSplatek();

    @Parameter(name = "Pojisteni")
    String pojisteni();

    @Parameter(name = "PojisteniPoplatek")
    Double pojisteniPoplatek();

    @Parameter(name = "PojisteniPoplatekJednotky")
    String pojisteniPoplatekJednotky();

    @Parameter(name = "PojisteniProtiZneuziti")
    String pojisteniProtiZneuziti();

    @Parameter(name = "PojisteniVycerpaneCastky")
    String pojisteniVycerpaneCastky();

    @Parameter(name = "PoplatkovyPlan")
    String poplatkovyPlan();

    @Parameter(name = "Posledni4Cislice")
    String posledni4Cislice();

    @Parameter(name = "PovoleniInetTransakci")
    String povoleniInetTransakci();

    @Parameter(name = "PracovnikMTSID")
    String pracovnikMTSID();

    @Parameter(name = "PreschvaleniUrednikFunkce")
    String preschvaleniUrednikFunkce();

    @Parameter(name = "PrimarniUrednikID")
    String primarniUrednikID();

    @Parameter(name = "PrimarniUrednikJmeno")
    String primarniUrednikJmeno();

    @Parameter(name = "PrimarniUrednikPrijmeni")
    String primarniUrednikPrijmeni();

    @Parameter(name = "PrimarniUrednikSSO")
    String primarniUrednikSSO();

    @Parameter(name = "PrimarniUrednik_KEY")
    Long primarniUrednikKEY();

    @Parameter(name = "PritomnyVsechnyOsoby")
    String pritomnyVsechnyOsoby();

    @Parameter(name = "PromoAkce")
    String promoAkce();

    @Parameter(name = "PromoRewardProgram")
    String promoRewardProgram();

    @Parameter(name = "RPSN")
    Double rpsn();

    @Parameter(name = "RazitkoObchodniZastupce")
    Long razitkoObchodniZastupce();

    @Parameter(name = "RetentcniProgramFlag")
    String retentcniProgramFlag();

    @Parameter(name = "RocniUrokovaSazbaCASH")
    Double rocniUrokovaSazbaCASH();

    @Parameter(name = "Rozhodnuti")
    String rozhodnuti();

    @Parameter(name = "SCHV_AutorizacniLimit_Bezhotovostni")
    Double sCHVAutorizacniLimitBezhotovostni();

    @Parameter(name = "SCHV_AutorizacniLimit_Hotovost")
    Double sCHVAutorizacniLimitHotovost();

    @Parameter(name = "SCHV_AutorizacniLimit_Internet")
    Double sCHVAutorizacniLimitInternet();

    @Parameter(name = "SCHV_AutorizacniLimit_Procento")
    Double sCHVAutorizacniLimitProcento();

    @Parameter(name = "SCHV_AutorizacniLimit_Typ")
    String sCHVAutorizacniLimitTyp();

    @Parameter(name = "SCHV_BONUS_Castka")
    Double sCHVBONUSCastka();

    @Parameter(name = "SCHV_BONUS_CelkovaVyse")
    Double sCHVBONUSCelkovaVyse();

    @Parameter(name = "SCHV_BONUS_PeriodaVyplaceniBonusu")
    String sCHVBONUSPeriodaVyplaceniBonusu();

    @Parameter(name = "SCHV_BONUS_TypVyplaceniBonusu")
    String sCHVBONUSTypVyplaceniBonusu();

    @Parameter(name = "SCHV_BrandKarty")
    String sCHVBrandKarty();

    @Parameter(name = "SCHV_CERP_BONUS_CelkovaCastka")
    Double sCHVCERPBONUSCelkovaCastka();

    @Parameter(name = "SCHV_CERP_BONUS_PocetSplatek")
    Double sCHVCERPBONUSPocetSplatek();

    @Parameter(name = "SCHV_CERP_BONUS_RPSN")
    Double schvCerpBonusRpsn();

    @Parameter(name = "SCHV_CERP_BONUS_UrokovaSazba")
    Double sCHVCERPBONUSUrokovaSazba();

    @Parameter(name = "SCHV_CERP_BONUS_VysePosledniSplatky")
    Double sCHVCERPBONUSVysePosledniSplatky();

    @Parameter(name = "SCHV_CERP_CelkovaSplatnaCastka")
    Double sCHVCERPCelkovaSplatnaCastka();

    @Parameter(name = "SCHV_CERP_PocetSplatek")
    Long sCHVCERPPocetSplatek();

    @Parameter(name = "SCHV_CERP_RPSN")
    Double schvCerpRpsn();

    @Parameter(name = "SCHV_CERP_UrokovaSazba")
    Double sCHVCERPUrokovaSazba();

    @Parameter(name = "SCHV_CERP_VysePosledniSplatky")
    Double sCHVCERPVysePosledniSplatky();

    @Parameter(name = "SCHV_CastkaPrvnihoCerpani")
    Double sCHVCastkaPrvnihoCerpani();

    @Parameter(name = "SCHV_CelkovaSplatnaCastka")
    Double sCHVCelkovaSplatnaCastka();

    @Parameter(name = "SCHV_CisloSmlouvyVarianty")
    String sCHVCisloSmlouvyVarianty();

    @Parameter(name = "SCHV_CobrandKarty")
    String sCHVCobrandKarty();

    @Parameter(name = "SCHV_DatumPrvniSplatky")
    java.util.Date sCHVDatumPrvniSplatky();

    @Parameter(name = "SCHV_DenInkasniSplatky")
    String sCHVDenInkasniSplatky();

    @Parameter(name = "SCHV_DenZuctovacihoObdobi")
    Long sCHVDenZuctovacihoObdobi();

    @Parameter(name = "SCHV_DesignKarty")
    String sCHVDesignKarty();

    @Parameter(name = "SCHV_EmbossTyp")
    String sCHVEmbossTyp();

    @Parameter(name = "SCHV_Flexilimit")
    Double sCHVFlexilimit();

    @Parameter(name = "SCHV_IndexLinearnihoSplaceni")
    String sCHVIndexLinearnihoSplaceni();

    @Parameter(name = "SCHV_KartaAsociace")
    String sCHVKartaAsociace();

    @Parameter(name = "SCHV_KodProduktu")
    String sCHVKodProduktu();

    @Parameter(name = "SCHV_KodProduktuSales")
    String sCHVKodProduktuSales();

    @Parameter(name = "SCHV_Kombinace_KEY")
    Long sCHVKombinaceKEY();

    @Parameter(name = "SCHV_MesicniSplatka")
    Double sCHVMesicniSplatka();

    @Parameter(name = "SCHV_MinProcentoSplatky")
    Double sCHVMinProcentoSplatky();

    @Parameter(name = "SCHV_OdkladSplatek")
    String sCHVOdkladSplatek();

    @Parameter(name = "SCHV_PocetSplatek")
    Long sCHVPocetSplatek();

    @Parameter(name = "SCHV_Pojisteni")
    String sCHVPojisteni();

    @Parameter(name = "SCHV_PojisteniPoplatek")
    Double sCHVPojisteniPoplatek();

    @Parameter(name = "SCHV_PojisteniPoplatekJednotky")
    String sCHVPojisteniPoplatekJednotky();

    @Parameter(name = "SCHV_PoplatkovyPlan")
    String sCHVPoplatkovyPlan();

    @Parameter(name = "SCHV_PovoleniInetTransakci")
    String sCHVPovoleniInetTransakci();

    @Parameter(name = "SCHV_PromoAkce")
    String sCHVPromoAkce();

    @Parameter(name = "SCHV_RPSN")
    Double schvRpsn();

    @Parameter(name = "SCHV_RocniUrokovaSazbaCASH")
    Double sCHVRocniUrokovaSazbaCASH();

    @Parameter(name = "SCHV_TypAsistencniSluzby")
    String sCHVTypAsistencniSluzby();

    @Parameter(name = "SCHV_TypKarty")
    String sCHVTypKarty();

    @Parameter(name = "SCHV_TypSplaceni")
    String sCHVTypSplaceni();

    @Parameter(name = "SCHV_TypVypoctuFINA")
    String sCHVTypVypoctuFINA();

    @Parameter(name = "SCHV_UrokovaSazba")
    Double sCHVUrokovaSazba();

    @Parameter(name = "SCHV_VariantaDruh")
    String sCHVVariantaDruh();

    @Parameter(name = "SCHV_VariantaTyp")
    String sCHVVariantaTyp();

    @Parameter(name = "SCHV_Varianta_Key")
    Long sCHVVariantaKey();

    @Parameter(name = "SCHV_VelikostZalohy")
    Double sCHVVelikostZalohy();

    @Parameter(name = "SCHV_VernostniProgram")
    String sCHVVernostniProgram();

    @Parameter(name = "SCHV_VysePosledniSplatky")
    Double sCHVVysePosledniSplatky();

    @Parameter(name = "SCHV_VyseUpsellu")
    Double sCHVVyseUpsellu();

    @Parameter(name = "SCHV_VyseUveru")
    Long sCHVVyseUveru();

    @Parameter(name = "SchvalovatelFunkce")
    String schvalovatelFunkce();

    @Parameter(name = "SchvalovatelID")
    String schvalovatelID();

    @Parameter(name = "SchvalovatelJmeno")
    String schvalovatelJmeno();

    @Parameter(name = "SchvalovatelPrijmeni")
    String schvalovatelPrijmeni();

    @Parameter(name = "SchvalovatelSSO")
    String schvalovatelSSO();

    @Parameter(name = "Schvalovatel_KEY")
    Long schvalovatelKEY();

    @Parameter(name = "SouhlasOPKCestovniPojisteniFlag")
    String souhlasOPKCestovniPojisteniFlag();

    @Parameter(name = "SouhlasOPKCisloNavrhu")
    String souhlasOPKCisloNavrhu();

    @Parameter(name = "SouhlasOPKFlag")
    String souhlasOPKFlag();

    @Parameter(name = "SouhlasOPKPojisteniSchopnostiPlatit")
    String souhlasOPKPojisteniSchopnostiPlatit();

    @Parameter(name = "SouhlasOPKSchvaleno")
    String souhlasOPKSchvaleno();

    @Parameter(name = "SouhlasOPKZpusobUhradySplatek")
    String souhlasOPKZpusobUhradySplatek();

    @Parameter(name = "TechnologieKarty")
    String technologieKarty();

    @Parameter(name = "TypAsistencniSluzby")
    String typAsistencniSluzby();

    @Parameter(name = "TypFormulare")
    String typFormulare();

    @Parameter(name = "TypKarty")
    String typKarty();

    @Parameter(name = "TypSlevy")
    String typSlevy();

    @Parameter(name = "TypSplaceni")
    String typSplaceni();

    @Parameter(name = "UUCislo")
    String uUCislo();

    @Parameter(name = "UUMena")
    String uUMena();

    @Parameter(name = "UUMenaTopUP")
    String uUMenaTopUP();

    @Parameter(name = "UUObjektUveru")
    String uUObjektUveru();

    @Parameter(name = "UUTopUPCislo")
    String uUTopUPCislo();

    @Parameter(name = "UUTopUP_KEY")
    Long uUTopUPKEY();

    @Parameter(name = "UU_KEY")
    Long uuKey();

    @Parameter(name = "UcelUveru")
    String ucelUveru();

    @Parameter(name = "UrednikFunkce")
    String urednikFunkce();

    @Parameter(name = "UrednikID")
    String urednikID();

    @Parameter(name = "UrednikJmeno")
    String urednikJmeno();

    @Parameter(name = "UrednikPrijmeni")
    String urednikPrijmeni();

    @Parameter(name = "UrednikSSO")
    String urednikSSO();

    @Parameter(name = "Urednik_KEY")
    String urednikKEY();

    @Parameter(name = "UrokovaSazba")
    Double urokovaSazba();

    @Parameter(name = "VariantaTyp")
    String variantaTyp();

    @Parameter(name = "Varianta_KEY")
    Long variantaKEY();

    @Parameter(name = "VelikostZalohy")
    Double velikostZalohy();

    @Parameter(name = "VernostniProgram")
    String vernostniProgram();

    @Parameter(name = "VypisKeKonciMesice_Flag")
    String vypisKeKonciMesiceFlag();

    @Parameter(name = "VysePosledniSplatky")
    Double vysePosledniSplatky();

    @Parameter(name = "VyseUpsellu")
    Double vyseUpsellu();

    @Parameter(name = "VyseUveru")
    Long vyseUveru();

    @Parameter(name = "WEB_BANNER")
    String webBanner();

    @Parameter(name = "WEB_PARTNER_ID")
    String webPartnerId();

    @Parameter(name = "WFPrechodStavu")
    String wFPrechodStavu();

    @Parameter(name = "WPS_WFL_ID")
    String wpsWflId();

    @Parameter(name = "ZadostAP")
    String zadostAP();

    @Parameter(name = "ZadostKanalPorizeni")
    String zadostKanalPorizeni();

    @Parameter(name = "ZadostStavADCtext")
    String zadostStavADCtext();

    @Parameter(name = "ZadostStavNASDetail")
    String zadostStavNASDetail();

    @Parameter(name = "ZadostStavUFO")
    String zadostStavUFO();

    @Parameter(name = "ZadostSubtyp")
    String zadostSubtyp();

    @Parameter(name = "ZadostSystemZdroj")
    String zadostSystemZdroj();

    @Parameter(name = "ZadostTyp")
    String zadostTyp();

    @Parameter(name = "ZboziCena")
    Double zboziCena();

    @Parameter(name = "ZboziDruh")
    String zboziDruh();

    @Parameter(name = "ZkraceneJmenoNaKarteDrzitel")
    String zkraceneJmenoNaKarteDrzitel();

    @Parameter(name = "ZkraceneJmenoNaKarteFirma")
    String zkraceneJmenoNaKarteFirma();

    @Parameter(name = "ZpusobDistribucePIN")
    String zpusobDistribucePIN();

    @Parameter(name = "ZpusobDistribuceVypisu")
    String zpusobDistribuceVypisu();

    @Parameter(name = "ZpusobUhradySplatek")
    String zpusobUhradySplatek();

}